Skip to content

Lora Training Status

GET
/api/lora-training/status
curl --request GET \
--url https://example.com/api/lora-training/status \
--header 'Authorization: Bearer <token>'

Fetch the latest status, step count, ETA, and synced samples for a LoRA training job.

job_name
Any of:
string

Successful Response

Media typeapplication/json
LoraTrainingStatus
object
ok
required
Ok
boolean
status
required
Status
string
job_name
Any of:
string
current_step
Current Step
integer
0
total_steps
Total Steps
integer
0
progress_percent
Any of:
number
loss
Any of:
number
lr
Any of:
number
elapsed
Any of:
string
eta
Any of:
string
seconds_per_step
Any of:
number
gpu_util
Any of:
number
vram_percent
Any of:
number
info
Any of:
string
speed_string
Any of:
string
log_path
Any of:
string
started_at
Any of:
string
finished_at
Any of:
string
total_duration_seconds
Any of:
number
updated_at
required
Updated At
string
error
Any of:
string
Example
{
"current_step": 0,
"total_steps": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}